#!/bin/sh

#Updated shutdown to play nice with systemd

CLASSPATH=protege.jar:looks.jar:unicode_panel.jar:driver.jar:driver0.jar:driver1.jar:driver2.jar
MAINCLASS=edu.stanford.smi.protege.server.Shutdown


# ------------------- JVM Options -------------------
MAX_MEMORY={{ protege_memory }}

# ------------------- JVM Options -------------------

cd $(dirname $0)


systemctl --quiet is-active protege

IS_ACTIVE=$?

systemctl is-failed protege
IS_FAILED=$?

if [ "$IS_ACTIVE" -ne 0 ] && [ "$IS_FAILED" -eq 0 ]; then
echo "Protege is not running and is failed"
exit 2
else
        cd $(dirname $0)
        timeout 120 bash -c 'until echo > /dev/tcp/localhost/5100; do sleep 1.5; done'
        java -cp $CLASSPATH $MAINCLASS $1
        cd /data/protege-projects/server && git commit -a -m "server project changes" && git push
fi
